/* GCC */
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <cstring>
#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <queue>
#include <sstream>

#define X first
#define Y second
#define mp(a, b) make_pair((a), (b))

using namespace std;

int n, root, i, j;
long long l[250010], r[250010], par[250010], ans;
pair <long long, long long> p[250010];

int main()
{
    freopen("nests.in", "r", stdin);
    freopen("nests.out", "w", stdout);

    ans = 0;
    root = -1;
    scanf("%d", &n);
    for(i = 0; i < n; i++)
    {
        scanf("%I64d %I64d", &p[i].X, &p[i].Y);

        if(root == -1)
        {
            root = i;
            par[i] = -1;
        }
        else
        {
            j = i - 1;
            while(j >= 0 && p[j].Y < p[i].Y)
                j = par[j];

            if(j == -1)
            {
                j = root;
                par[i] = -1;
                root = i;
                l[i] = j;
                par[j] = i;
                ans = ans + abs(p[i].X - p[j].X) + abs(p[i].Y - p[j].Y);
            }
            else if(j == i - 1)
            {
                r[j] = i;
                par[i] = j;
                ans = ans + abs(p[i].X - p[j].X) + abs(p[i].Y - p[j].Y);
            }
            else
            {
                ans = ans - abs(p[r[j]].X - p[j].X) - abs(p[r[j]].Y - p[j].Y);
                l[i] = r[j];
                par[r[j]] = i;
                r[j] = i;
                par[i] = j;
                ans = ans + abs(p[i].X - p[j].X) + abs(p[i].Y - p[j].Y);
                j = l[i];
                ans = ans + abs(p[i].X - p[j].X) + abs(p[i].Y - p[j].Y);
            }
        }
    }

    //printf("%I64d\n", ans);
    cout << ans << endl;

    return 0;
}











