/* GCC */
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <cstring>
#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <queue>
#include <sstream>

#define X first
#define Y second
#define mp(a, b) make_pair((a), (b))

using namespace std;

int t, tests;
vector <int> ans;
int n, i, j, a, b, c, d, ti, cur[4], p[220][220], v[110][110];
bool flag, dif;

int main()
{
    freopen("square.in", "r", stdin);
    freopen("square.out", "w", stdout);

    scanf("%d", &tests);
    for(t = 0; t < tests; t++)
    {
        scanf("%d", &n);
        for(i = 0; i < 2 * n; i++)
            for(j = 0; j < 2 * n; j++)
                scanf("%d", &p[i][j]);

        cur[0] = p[0][0];
        cur[1] = p[0][2 * n - 1];
        cur[2] = p[2 * n - 1][0];
        cur[3] = p[2 * n - 1][2 * n - 1];

        sort(cur, cur + 4);

        a = cur[0];
        b = cur[1];
        c = cur[2];
        d = cur[3];

        flag = false;
        for(i = 0; i < n; i++)
        {
            for(j = 0; j < n; j++)
            {
                cur[0] = p[i][j];
                cur[1] = p[i][2 * n - 1 - j];
                cur[2] = p[2 * n - 1 - i][j];
                cur[3] = p[2 * n - 1 - i][2 * n - 1 - j];

                sort(cur, cur + 4);

                if(a != cur[0] || b != cur[1] ||
                   c != cur[2] || d != cur[3])
                {
                    flag = true;
                    break;
                }
            }

            if(flag == true)
                break;
        }

        if(flag == true)
        {
            printf("-1\n");
            continue;
        }

        dif = true;
        if(a == b || b == c || c == d)
            dif = false;

        ans.clear();

        if(dif == true)
        {
            for(i = 0; i < n; i++)
                for(j = 0; j < n; j++)
                {
                    cur[0] = p[i][j];
                    cur[1] = p[i][2 * n - 1 - j];
                    cur[2] = p[2 * n - 1 - i][j];
                    cur[3] = p[2 * n - 1 - i][2 * n - 1 - j];

                    if(cur[3] == a)
                    {
                        swap(cur[3], cur[1]);
                        swap(cur[1], cur[0]);
                    }
                    else
                        while(cur[0] != a)
                        {
                            swap(cur[2], cur[0]);
                            swap(cur[0], cur[1]);
                        }

                    while(cur[1] != b)
                    {
                        swap(cur[1], cur[3]);
                        swap(cur[3], cur[2]);
                    }

                    if(cur[2] == c && cur[3] == d)
                        v[i][j] = 0;
                    else
                        v[i][j] = 1;
                }

            for(i = 0; i < n; i++)
                if(v[i][n - 1] == 1)
                {
                    ans.push_back(i + 1);
                    for(j = 0; j < n; j++)
                    {
                        v[i][j] = 1 - v[i][j];
                        swap(p[i][j], p[i][2 * n - 1 - j]);
                    }
                }

            for(j = 0; j < n; j++)
                if(v[n - 1][j] == 1)
                {
                    ans.push_back(-j - 1);
                    for(i = 0; i < n; i++)
                    {
                        v[i][j] = 1 - v[i][j];
                        swap(p[i][j], p[2 * n - 1 - i][j]);
                    }
                }

            flag = false;
            for(i = 0; i < n; i++)
            {
                for(j = 0; j < n; j++)
                    if(v[i][j] == 1)
                    {
                        flag = true;
                        break;
                    }

                if(flag == true)
                    break;
            }

            if(flag == true)
            {
                printf("-1\n");
                continue;
            }
        }

        for(i = 0; i < n; i++)
            for(j = 0; j < n; j++)
            {
                cur[0] = p[i][j];
                cur[1] = p[i][2 * n - 1 - j];
                cur[2] = p[2 * n - 1 - i][j];
                cur[3] = p[2 * n - 1 - i][2 * n - 1 - j];

                if(cur[3] == a)
                {
                    //swap(p[2 * n - 1 - i][2 * n - 1 - j], p[i][2 * n - 1 - j]);
                    //swap(p[i][2 * n - 1 - j], p[i][j]);

                    swap(cur[3], cur[1]);
                    swap(cur[1], cur[0]);
                    ans.push_back(i + 1);
                    ans.push_back(-2 * n + j);
                    ans.push_back(i + 1);
                    ans.push_back(-2 * n + j);
                }
                else
                    while(cur[0] != a)
                    {
                        //swap(p[2 * n - 1 - i][j], p[i][j]);
                        //swap(p[i][j], p[i][2 * n - 1 - j]);

                        swap(cur[2], cur[0]);
                        swap(cur[0], cur[1]);
                        ans.push_back(i + 1);
                        ans.push_back(-j - 1);
                        ans.push_back(i + 1);
                        ans.push_back(-j - 1);
                    }

                ti = 0;
                while(cur[1] != b || cur[2] != c || cur[3] != d)
                {
                    //swap(p[i][2 * n - 1 - j], p[2 * n - 1 - i][2 * n - 1 - j]);
                    //swap(p[2 * n - 1 - i][2 * n - 1 - j], p[2 * n - 1 - i][j]);

                    swap(cur[1], cur[3]);
                    swap(cur[3], cur[2]);
                    ans.push_back(2 * n - i);
                    ans.push_back(-2 * n + j);
                    ans.push_back(2 * n - i);
                    ans.push_back(-2 * n + j);

                    ti++;
                    if(ti == 3)
                        break;
                }

                if(ti == 3)
                {
                    while(cur[1] != b)
                    {
                        //swap(p[i][2 * n - 1 - j], p[2 * n - 1 - i][2 * n - 1 - j]);
                        //swap(p[2 * n - 1 - i][2 * n - 1 - j], p[2 * n - 1 - i][j]);

                        swap(cur[1], cur[3]);
                        swap(cur[3], cur[2]);
                        ans.push_back(2 * n - i);
                        ans.push_back(-2 * n + j);
                        ans.push_back(2 * n - i);
                        ans.push_back(-2 * n + j);
                    }

                    //swap(p[2 * n - 1 - i][j], p[i][j]);
                    //swap(p[i][j], p[i][2 * n - 1 - j]);

                    swap(cur[2], cur[0]);
                    swap(cur[0], cur[1]);
                    ans.push_back(i + 1);
                    ans.push_back(-j - 1);
                    ans.push_back(i + 1);
                    ans.push_back(-j - 1);

                    while(cur[1] != b || cur[2] != c || cur[3] != d)
                    {
                        //swap(p[i][2 * n - 1 - j], p[2 * n - 1 - i][2 * n - 1 - j]);
                        //swap(p[2 * n - 1 - i][2 * n - 1 - j], p[2 * n - 1 - i][j]);

                        swap(cur[1], cur[3]);
                        swap(cur[3], cur[2]);
                        ans.push_back(2 * n - i);
                        ans.push_back(-2 * n + j);
                        ans.push_back(2 * n - i);
                        ans.push_back(-2 * n + j);
                    }
                }
            }

        /*for(i = 0; i < 2 * n; i++)
        {
            for(j = 0; j < 2 * n; j++)
                printf("%d ", p[i][j]);
            printf("\n");
        }*/

        printf("%d\n", ans.size());
        for(i = 0; i < ans.size(); i++)
            if(ans[i] > 0)
                printf("+%d\n", ans[i]);
            else
                printf("%d\n", ans[i]);
    }

    return 0;
}










