/* GCC */

#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>

using namespace std;

int main(){
    ifstream fin("nests.in");
    ofstream fout("nests.out");

    int n;
    fin>>n;
    vector<int> head(n), right(n), x(n), y(n);
    int i, z;

    fin>>x[0]>>y[0];
    int header=0;
    head[0]=-1;
    right[0]=-1;

    for(i=1; i<n; i++){
        fin>>x[i]>>y[i];
        if(y[i]<y[i-1]){
            right[i-1]=i;
            head[i]=i-1;
        } else {
            for(z=i-1; z>=0 && y[i]>y[z]; z--);
            if(z==-1){
                head[header]=i;
                head[i]=-1;
                header=i;
            } else {
                head[right[z]]=i;
                head[i]=z;
                right[z]=i;
            }
        }
    }

    __int64 ans=0;
    for(i=0; i<n; i++){
        if(i==header) continue;
        ans+=abs(x[i]-x[head[i]])+abs(y[i]-y[head[i]]);
    }

    fout<<ans<<endl;


    fin.close();
    fout.close();
}
