/* GCC */
#include <cstdio>
#include <vector>
#include <utility>
#include <algorithm>
#include <iostream>
using namespace std;

struct nod{
    int x, y, par;
};

vector<nod> A;

long long dist(int i, int j){
    if(i*j == 0) return 0;
    long long an = abs(A[i].x - A[j].x);
    an += abs(A[i].y - A[j].y);
    return an;
}

int main(){
    freopen("nests.in", "r", stdin);
    freopen("nests.out", "w", stdout);
    int n;
    scanf("%d", &n);
    A.resize(n+2);
    nod kk; kk.x = -1; kk.y = 1000100100;
    A[0] = kk;
    int x,y;
    for(int i = 1; i <= n; i++){
        scanf("%d%d", &A[i].x, &A[i].y);
    }

    vector<int> N;N.assign(n+2, -1);N[0] = 0;
    int t = 1;
    for(int i = 1; i <= n; i++){
        int tt = t;
        while(A[N[tt-1]].y < A[i].y) {tt--;N[tt+1] == -1;}
        if(t == tt){
            N[tt] = i;
            A[i].par = N[tt-1];
            t++;
        }else{
            A[N[tt]].par = i;
            A[i].par = N[tt-1];
            N[tt] = i;
            t = tt+1;
        }
    }
    //for(int i = 0; i < n+1; i++) printf("%d %d\n", i, A[i].par);
    long long ans = 0;
    for(int i = 1; i <= n; i++) ans += dist(i, A[i].par);
    cout<<ans<<endl;



    fclose(stdin);
    fclose(stdout);
    return 0;
}
